function [p]=PMDD

disp('Výpočet maximální délky vlákna při zadané přenosové rychlosti (pouze s vlivem PMD)')
%vstupní veličiny
r=input('Zadej velikost polarizační vidové disperze v [ps/sqrt(km)]    ');
a=input('zadej přenosouvou rychlost v [Gb/s]:  ');
PMD=r*1e-12;
b=a*1e9;
%výpočet maximálních délek
d=b/160;
c=b/17;
dT=0.15*(1/b);
disp('Maximální teoretická délka vlákna [km]')
Lmax=(dT/PMD)^2
disp('Maximální teoretická délka vlákna s použitím technologie CWDM [km]')
dTc=0.15*(1/c);
Lmax=(dTc/PMD)^2
disp('Maximální délka teoretická vlákna s použitím technologie DWDM [km]')
dTd=0.15*(1/d);
Lmax=(dTd/PMD)^2
disp('Zobrazení závislosti délky vlákna na PMD zadané rychlosti')
disp('Pokračujte libovolnou klávesou')
pause()
format short
c=load('hodnoty.txt');%načtení hodnot PMD ze souboru hodnoty.txt
m=0;
for z=1:length(c);
   m=m+1; 
L(m,:)=(dT/c(m,:))^2;
L40(m,:)=(3.75e-12/c(m,:))^2;
L10(m,:)=(1.5e-11/c(m,:))^2;
end
%graf závislosti PMD na délce vlákna
figure(1)
grid on %zapnutí mřížky
semilogy(c,L,'b*-') %nastavení logaritmických os
%popis grafu 
title ('Zavislost délky vlakna na PMD zadané prenosové rychlosti')
xlabel('PMD [ps]')
ylabel('delka vlakna [km]')
legend('80Gb/s')
pause(1)
figure(2)
subplot(2,1,1)
semilogy(c,L,'b*-')
title ('Zavislost delky vlakna na PMD zadane prenosove rychlosti')
xlabel('PMD [ps]')
ylabel('delka vlakna [km]')
subplot(2,1,2)
semilogy(c,L40,'k*-',c,L10,'r*-')
title ('Zavislost delky vlakna na PMD ')
xlabel('PMD [ps]')
ylabel('delka vlakna [km]')
legend('40Gb/s','10Gb/s')
disp('pokračujte libovolnou klávesou')
pause()
% Výpočet maximální přenosové rychlosti
disp('Výpočet maximální přenosové rychlosti na zadané trase (pouze s vlivem PMD)')
pause(1)
%vstupní veličiny
x=input('Zadej délku vlákna [km]:  ');
dT=PMD*sqrt(x);
format long
%výpočet přenosové rychlosti
disp('Maximalni teoretická přenosova rychlost po jednom kanále [Gb/s]')
B=(0.15/dT)*1e-9
disp('Maximalní teoretická přenosova rychlost s použitim technologie CWDM [Gb/s]')
CWDM=(B*17)
disp('Maximální teoretická přenosova rychlost s použitim technologie DWDM [Gb/s]')
DWDM=(B*150)

%Maxwellova krivka
disp('Zobrazeni maxwellovy křivky v závislosti na zadané vzdálenosti')
format short
disp('pokračujte libovolnou klávesou')
pause()
PMD=1;
ODL=sqrt(x);
dtavg=PMD*ODL;
sigma=(sqrt(2*pi)*dtavg)/4;
%načítání textových souborů podle zadané délky
if x<=10;
     a=load('DGDhodnoty10.txt');
    else
    a=load('DGDhodnoty.txt');
  if (x>10)&(x<=30);
     a=load('DGDhodnoty30.txt');
   else
    a=load('DGDhodnoty.txt');
  if (x>30)&(x<=100);
    a=load('DGDhodnoty100.txt');
   else
    a=load('DGDhodnoty.txt');
 if (x>100)&(x<=150)
      a=load('DGDhodnoty150.txt');
  else
      a=load('DGDhodnoty.txt');
       
       
  end;
  end;    
  end;
end;
u=0;
for t=1:length(a);
    u=u+1;
ro(u,:)=sqrt(2/pi)*(a(u,:)^2/sigma^3)*exp(-((a(u,:)^2)/(2*(sigma^2))));
end
PMD1=2;
ODL1=sqrt(x);
dtavg1=PMD1*ODL1;
sigma1=(sqrt(2*pi)*dtavg1)/4;
u=0;
for t=1:length(a);
    u=u+1;
ro1(u,:)=sqrt(2/pi)*(a(u,:)^2/sigma1^3)*exp(-((a(u,:)^2)/(2*(sigma1^2))));
end
PMD2=3;
ODL2=sqrt(x);
dtavg2=PMD2*ODL2;
sigma2=(sqrt(2*pi)*dtavg2)/4;
u=0;
for t=1:length(a);
    u=u+1;
ro2(u,:)=sqrt(2/pi)*(a(u,:)^2/sigma2^3)*exp(-((a(u,:)^2)/(2*(sigma2^2))));
end
PMD3=4;
ODL3=sqrt(x);
dtavg3=PMD3*ODL3;
sigma3=(sqrt(2*pi)*dtavg3)/4;
u=0;
for t=1:length(a);
    u=u+1;
ro3(u,:)=sqrt(2/pi)*(a(u,:)^2/sigma3^3)*exp(-((a(u,:)^2)/(2*(sigma3^2))));
end
figure(3)
plot(a,ro,'r-',a,ro1,'k:',a,ro2,'b-.',a,ro3,'g--')
legend('1 ps*sqrt(km)','2 ps*sqrt(km)','3 ps*sqrt(km)','4 ps*sqrt(km)' )
xlabel('DGD [ps]')
ylabel('hustota pravdepodobnodti')
title('Maxwellova krivka')
disp('pokračujte libovolnou klávesou')
pause()
%ošetřní výběru tak ,aby bylo nutné zvolit jednu z možností
i=0;
while i<1;
disp('Vyber jednu z následujících možností:')
pause(1)
d=input('1 - export grafů(JPEG)   2 - export grafů(TIFF)   3 - kompilace    4 - export grafů(JPEG) + kompilace     5 - ukončit   ');
%export grafů(JPEG)
if d==1;
   print(figure(1),'-djpeg','závislost délky na PMD')
   print(figure(2),'-djpeg','závislost délky na PMD1')
   print(figure(3),'-djpeg','maxwellova krivka')
   i=1;
%export grafů(TIFF)
elseif d==2;
    print(figure(1),'-dtiff','závislost délky na PMD')
    print(figure(2),'-dtiff','závislost délky na PMD1')
    print(figure(3),'-dtiff','maxwellova krivka')
  i=1;
%kompilace 
elseif d==3;
    mcc -m kompilace.m
    i=1;
%kompilace + export grafů
  elseif d==4;
    print(figure(1),'-djpeg','závislost délky na PMD')
   print(figure(2),'-djpeg','závislost délky na PMD1')
   print(figure(3),'-djpeg','maxwellova krivka')
    mcc -m kompilace.m
    i=1;
%dokončení
elseif d==5;
    clear all
    i=1;
else
    i=0;
disp('neplatná hodnota')
end
end
clear all


